package game

type Map struct {
    SizeX int
    SizeY int
    Geometry [][]Tile
}

//just coordinates
type Coords struct {
    X, Y int
}

type color struct {
    alpha int
    red int
    green int
    blue int
}

//packed char, fgColor, bgColor and render settings
type Drawable struct {
    Char string
    fgColor color
    bgColor color
}

type Tile struct {
    Drawable
    BlocksPass bool
    BlocksSight bool
    //colordance and other stuff later
}
func (tile *Tile) NewTile (char string, fgColor color, bgColor color) Tile {
    return Tile{Drawable{char, fgColor, bgColor}, false, false}
}